Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class OGCCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OGCStandardCapabilitiesDocument, OWSCommonCapabilitiesDocument, WFSCapabilitiesDocument_1_0_0, WMSCapabilitiesDocument

    public abstract class OGCCapabilitiesDocument

extends OGCDocument

Most basic capabilities document for any OGC service instance.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`protected static URI` | `OGCNS`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`OGCCapabilitiesDocument()`

Method Summary
`protected Address` | `parseAddress(Element element, URI namespaceURI)` Creates an `Address` instance from the passed element.
`abstract OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.
`protected MetadataLink` | `parseMetadataLink(Element element)` Creates a `MetadataLink` instance from the passed element.
`protected Phone` | `parsePhone(Element element, URI namespaceURI)` Creates a `Phone` instance from the passed element.
`String` | `parseUpdateSequence()` Returns the value of the updateSequence attribute of the capabilities document.
`String` | `parseVersion()` Returns the value of the version attribute of the capabilities document.

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OGCNS

    protected static final URI OGCNS

Constructor Detail

### OGCCapabilitiesDocument

    public OGCCapabilitiesDocument()

Method Detail

### parseVersion

    public String parseVersion()

  Returns the value of the version attribute of the capabilities document.

  Returns:
    the value of the version attribute of the capabilities document.

### parseUpdateSequence

    public String parseUpdateSequence()

  Returns the value of the updateSequence attribute of the capabilities document.

  Returns:
    the value of the updateSequence attribute of the capabilities document.

### parseMetadataLink

    protected MetadataLink parseMetadataLink(Element element)
                                      throws XMLParsingException

  Creates a `MetadataLink` instance from the passed element.

  Parameters:
    `element` -
  Returns:
    created `MetadataLink`
  Throws:
    `XMLParsingException`

### parseCapabilities

    public abstract OGCCapabilities parseCapabilities()
                                               throws InvalidCapabilitiesException

  Creates a class representation of the document.

  Returns:
    class representation of the document
  Throws:
    `InvalidCapabilitiesException`

### parseAddress

    protected Address parseAddress(Element element,
                                   URI namespaceURI)

  Creates an `Address` instance from the passed element.

  Parameters:
    `element` - Address-element
    `namespaceURI` - namespace-prefix of all elements
  Returns:
    the new instance

### parsePhone

    protected Phone parsePhone(Element element,
                               URI namespaceURI)

  Creates a `Phone` instance from the passed element.

  Parameters:
    `element` - Phone-element
    `namespaceURI` - URI that all elements must have
  Returns:
    the new instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org